<?php

load_language('plugin.lang', HASHIGH_PATH);

global $template, $page, $conf;

$forbidden = get_sql_condition_FandF (
    			array ('forbidden_categories' => 'category_id',
        			 'visible_categories' => 'category_id',
        			 'visible_images' => 'image_id'), '', true);

$page['section'] = 'has_high';

$query = 'SELECT DISTINCT (id)
  FROM ' . IMAGES_TABLE . '
  INNER JOIN ' . IMAGE_CATEGORY_TABLE . ' AS ic
  ON id = ic.image_id
  WHERE has_high = "true"
  AND ' . $forbidden . '
  ' . $conf['order_by'] . ';';

$page = array_merge($page,
    array('title' => '<a href="' . duplicate_index_url(array('start'=>0)) . '">'
         . l10n('has_high_cat') . '</a>',
        'items' => array_from_query($query, 'id')));

?>