<?php
/*
Plugin Name: Has High
Version: 2.0.a
Description: Ajoute un lien "Avec haute dfinition" dans le menu "Spciales"/ Add a "With high definition" link in "Specials" menu.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=222
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('HASHIGH_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

function add_link_has_high($menu_ref_arr)
{
  global $conf, $user;

  $menu = & $menu_ref_arr[0];
  
  if ($user['enabled_high'] and ($block = $menu->get_block('mbSpecials')) != null)
  {
    load_language('plugin.lang', HASHIGH_PATH);

    $position = (isset($conf['hashigh_position']) and is_numeric($conf['hashigh_position'])) ? $conf['hashigh_position'] : count($block->data)+1;

    array_splice($block->data, $position-1, 0, array('has_high' =>
      array(
        'URL' => make_index_url(array('section' => 'has_high')),
        'TITLE' => l10n('has_high_cat_hint'),
        'NAME' => l10n('has_high_cat')
        )
      )
    );
  }
}

function section_init_has_high()
{
  global $tokens;
  if (in_array('has_high', $tokens))
    include(HASHIGH_PATH . 'has_high.php');
}

add_event_handler('blockmanager_apply' , 'add_link_has_high');
add_event_handler('loc_end_section_init', 'section_init_has_high');

?>